<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class onboardingProcess
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if(auth()->user()->username == null)
        {
            return redirect()->route('add-store');
        }
        elseif(auth()->user()->expectation == null)
        {
            return redirect()->route('expectation');
        }

        return $next($request);
    }
}
